Skip to main content
`Ctrl`+`K`

# TSSetEquationType

Sets the type of the equation that `TS` is solving.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSSetEquationType(TS ts, TSEquationType equation_type)

Not Collective

## Input Parameters

- ts - the `TS` context

- equation_type - see `TSEquationType`

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSGetEquationType()`, `TSEquationType`

## Level

advanced

## Location

src/ts/interface/ts.c

## Examples

src/ts/tutorials/ex20td.c
src/ts/tutorials/ex36SE.c
src/ts/tutorials/ex20adj.c
src/ts/tutorials/ex36.c
src/ts/tutorials/ex36A.c
src/ts/tutorials/ex20opt_p.c
src/ts/tutorials/ex20opt_ic.c
src/ts/tutorials/ex35.cxx
src/ts/tutorials/ex25.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages